PFW(1)

NAME
pfw - weight sequences of a multiple sequence alignment

SYNOPSIS
pfw [ msf-file | - ] [N=#] [X=#] [R=#] [W=#]

DESCRIPTION
pfw computes new weights for individual sequences in a multiple sequence alignment using the method of Sibbald and Argos (1990). The file containing the multiple sequence alignment (msf-file) must be in MSF format as generated by GCG programs or by readseq (checksums are ignored). If `-' is specified instead of a real filename, the multiple sequence alignment is read from the standard input. pfw writes a new msf-file with modified weights to the standard output.

PARAMETERS

N=# Number of shuffles per sequence to be performed. Note that an average relative precision of r percent is achieved by approximately (100/r)-squared shuffles. Default: N=100 (10% precision).

X=# Gap excision threshold. This is the minimal fraction of non-gap characters a column of the multiple sequence alignment must contain in order to be considered for weighting. Default: X=0.5.

R=# Seed for the random number generator. This must be an negative integer (zero or positive integers will be reset to negative integers). Default=-123456789.

W=# Total weight. The initially computed weights will be multiplied by a constant factor such that the sum of all weights equals this value. Default: W=1.

Sibbald PR & Argos P (1990). Weighting aligned protein or nucleic acid sequences to correct for unequal representation. J. Mol. Biol. 216:813-818.

AUTHOR
Philipp Bucher
Philipp.Bucher@isrec.unil.ch